*
* $Id: gpmat.inc,v 3.7 2006/11/10 11:39:34 pam-ba Exp $
*
* $Log: gpmat.inc,v $
* Revision 3.7  2006/11/10 11:39:34  pam-ba
* S2 and S1 z-positions corrected, He3 and plystyrene mixture added, Top Plate geometry simulated and titanium mixture added.
*
* Revision 3.6  2006/10/13 16:36:58  pam-ba
* Added a new material, the cadmium, for ND
*
* Revision 3.5  2006/05/18 10:52:32  pam-ba
* TOF geometry completed and a new material, the polystyrene (density 35 g/l), added
*
* Revision 3.4  2006/05/02 11:46:13  pam-ba
* TOF geometry and position updated and a new material, the mylar, added
*
* Revision 3.3  2003/12/17 11:32:49  pamela
* CALO SIMULATION COMPLETED: geometry and special tracking parameters updated and simulation checked by a comparison with the Trieste's standalone Monte Carlo simulation
*
* Revision 3.2  2002/12/05 10:17:42  pamela
* Update CAS and CALO geometries and positions. Makefile updated as well
*
* Revision 3.1.1.1  2002/07/11 16:02:00  cafagna
* First GPAMELA release on CVS
*
*
*
* gpmat.inc
*
*               03/10/2002  10.42.39  by  Jens Lund
*CMZ :  2.02/00 11/10/2000  20.14.33  by  Francesco Cafagna
*CMZ :  2.01/00 05/04/2000  14.35.17  by  Marialuigia Ambriola
*CMZ :  2.00/00 03/03/2000  15.39.05  by  Francesco Cafagna
*CMZ :  1.02/00 18/03/97  18.25.29  by  Francesco Cafagna
*CMZ :  1.00/02 15/03/96  17.47.37  by  Francesco Cafagna
*-- Author :    Francesco Cafagna   05/12/95
C
C Common with material definitions
C
C
C Plast. sci: H 50%, C 50%  , Rho=1.032 g/cm**3 from P.D.Book
C G10       : SiO2 60%, Epoxy 40%, Rho=1.7 g/cm**3 from P.D.Book
C             Epoxy from CRC handbook (Raw estimation)
c G10C      : Si 53%, O 30%, C 15%, H 2%, Rho=1.7 g/cm**3 from Mirko,
C             for Calorimeter
C N2 (Gas)  : A=14.01, Z=7, Rho=1.25 g/l
C Silicon   : A=28.09, Z=14,Rho=2.33 g/cm**3, X0=9.36 from P.D.Book
C Xenon     : A=131.29, Z=54,Rho=5.858 g/l, X0=1447.6cm from P.D.Book
C TRD rad.  : Carbon fiber with density 0.060 g/cm**3, used in TS93
C Aerogel   : A=96.11, Z=54 (Comp. n(SiO2)+2n(H2O)), Rho=.2g/cm**3 (Ave.),
C             X0=150 cm, from P.D.Book
C Tungsten  : W 95%, Cu 2.5%, Ni 2.5%, Rho=18.1 g/cm**3 from Mirko-Aerostudi
C Kaolinite : Al 21%, Si 21.7%, O 55.8%, H 1.5% Rho=2.594 g/cm**3 (insulator
C             for calorimeter) from Mirko et al.
C Mylar     : C5H4O2: Rho=1.39 g/cm**3 from P. D. Book 
C Polystirene: C8H8: from P. D. Book Rho=35 g/l=350 g/cm**3 from Beppe Osteria 
C Cadmium    : for ND: A=, Z=, Rho=, Xo=
C He3        : from Leonov: Z=2, A=3 Rho=.001246 g/cm3, Xo=107.86 cm
C Polyethylene(CH2): for ND from Leonv: A=12.011,1.00794, Z=6,1, Rho=.93 g/cm3
C TAV        : Titanium alloy for top plate: Ti(90%), Al(6%), Va(4%):
c              Z=(22,13,23), A=(47.867,26.9815,50.9415),Rho=4.49234 g/cm3
C NYL6       : Nylon 6 for shell external cover:(NH(CH2)5CO)n, 6C, 11H, 1O, 1N 
c              Z=(6,1,8,7), A=(12.011,1.00794,15.9994,14.00674), Rho=1.14 g/cm3
C AMG6M      : AMg6M for top container (TSPH volume): Al(94%), Mg(6%)
C              Z=(13,12), A=(26.9815,24.3050), Rho=2.610 g/cm3
C
C The NM*** numbers are the material numbers in the JMATE structure
C Note that the Silicon has been duplicate to allow the changing of
C the special tracking parameter for both TRACKER and CALORIMETER
C
C
C For Silicon special parameter has been added to be used in the Straggling
C simulation. These parameter are stored into the User word in the JMAT
C structure
C
      INTEGER NMSCIN,NMG10,NMN2,NMSITR,NMSICA,NMXE,NMTRAD,NMAER
*EM:
      INTEGER NMCERA,NMG10C,NMWCAL
*END EM.
*JeL:
      INTEGER NMPLAS
*END JeL.
      INTEGER NMMYL,NMPOL,NMCAD,NMTAV,NMHE3,NMCH2,NMNYL6,NMAMG6M
      REAL ASCIN,ZSCIN,WSCIN,DSCIN,
     +     AN2G,ZN2G,DN2G,RN2G,
     +     AG10,ZG10,WG10,DG10,
     +     AG10C,ZG10C,WG10C,DG10C,
     +     ASI ,ZSI ,DSI ,RSI, ABSI,
     +     AXE ,ZXE ,DXE ,RXE,
     +     ATRAD ,ZTRAD ,DTRAD ,RTRAD,
     +     AAER ,ZAER ,DAER ,RAER,
     +     D2SICA,D2SITR,
     +     AWCAL,ZWCAL,DWCAL,WWCAL,
     +     ACERA,ZCERA,DCERA,WCERA,
     +     AMYL,ZMYL,DMYL,WMYL,
     +     APOL,ZPOL,DPOL,WPOL,
     +     ACAD,ZCAD,DCAD,RCAD,
     +     ATAV,ZTAV,DTAV,WTAV,
     +     AHE3,ZHE3,DHE3,RHE3,
     +     APOLND,ZPOLND,DPOLND,WPOLND,
     +     ANYL6,ZNYL6,DNYL6,WNYL6,
     +     AAMG6M,ZAMG6M,DAMG6M,WAMG6M
      COMMON/GPCMAT/ NMSCIN,NMG10,NMN2,NMSITR,NMSICA,NMXE,NMTRAD,NMAER,
*EM:
     +              NMCERA,NMG10C,NMWCAL,
*END EM.
*JeL:
     +              NMPLAS,
*END JeL.
     +              NMMYL,NMPOL,NMCAD,NMTAV,NMHE3,NMCH2,NMNYL6,
     +              NMAMG6M,NMIRON,
     +              ASCIN(2),ZSCIN(2),WSCIN(2),DSCIN,
     +              AN2G,ZN2G,DN2G,RN2G,
     +              AG10(2),ZG10(2),WG10(2),DG10,
     +              ASI,ZSI,DSI,RSI,ABSI,
     +              AXE,ZXE,DXE,RXE,
     +              ATRAD,ZTRAD,DTRAD,RTRAD,
     +              AAER,ZAER,DAER,RAER,
     +              D2SICA,D2SITR,
*EM:
     +              AG10C(4),ZG10C(4),WG10C(4),DG10C,
     +              AWCAL(3),ZWCAL(3),DWCAL,WWCAL(3),
     +              ACERA(4),ZCERA(4),WCERA(4),DCERA,
*END EM.
     +              AMYL(3),ZMYL(3),DMYL,WMYL(3),
     +              APOL(2),ZPOL(2),DPOL,WPOL(2),
     +              ACAD,ZCAD,DCAD,RCAD,
     +              ATAV(3),ZTAV(3),DTAV,WTAV(3),
     +              AHE3, ZHE3, DHE3, RHE3,
     +              APOLND(2),ZPOLND(2),DPOLND,WPOLND(2),
     +              ANYL6(4),ZNYL6(4),DNYL6,WNYL6(4),
     +              AAMG6M(2),ZAMG6M(2),DAMG6M,WAMG6M(2)     
C


